allow more environments on machines with more than 4.5GB RAM in local mode

This commit is contained in:
Tobias Powalowski 2022-06-11 12:11:41 +02:00
parent 14d1165acb
commit 3ca2678698
3 changed files with 7 additions and 7 deletions

View file

@ -122,9 +122,9 @@ fi
# Gnome, KDE/PLASMA or XFCE launch
if [[ "${_L_XFCE}" == "1" || "${_L_PLASMA}" == "1" || "${_L_GNOME}" == "1" || "${_L_GNOME_WAYLAND}" == "1" || "${_L_PLASMA_WAYLAND}" == "1" ]]; then
if [[ -e "/.graphic_run" && "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 4917000 ]]; then
if [[ -e "/.graphic_run" && "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 4413000 ]]; then
echo -e "\033[1m\033[91mError: Graphical environment already installed ...\033[0m"
echo -e "You are running in \033[1mLocal mode\033[0m with less than \033[1m5GB RAM\033[0m, which only can launch \033[1mone\033[0m environment."
echo -e "You are running in \033[1mLocal mode\033[0m with less than \033[1m4500 MB RAM\033[0m, which only can launch \033[1mone\033[0m environment."
echo -e "Please relaunch your already used graphical environment from commandline."
else
if ! [[ -d /usr.zram ]]; then

View file

@ -106,10 +106,10 @@ elif [[ "$(uname -m)" == "aarch64" && "$(grep -w MemTotal /proc/meminfo | cut -d
echo -e "\033[91mAborting ...\033[0m"
_enter_shell
elif [[ "$(uname -m)" == "x86_64" && "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -gt 4670000 &&\
"$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 5019000 ]]; then
"$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 5220000 ]]; then
_welcome
echo -e "\033[1m\033[91mMemory check failed:\033[0m"
echo -e "\033[91m- Kexec memory gap detected: \033[1m4750M - 5099M RAM\033[0m"
echo -e "\033[91m- Kexec memory gap detected: \033[1m4750M - 5299M RAM\033[0m"
echo -e "\033[91m- Possibility of not working \033[1mkexec\033[0m\033[91m boot is given.\033[0m"
echo -e "\033[93m- Please use \033[1mmore\033[0m\033[93m or \033[1mless\033[0m\033[93m RAM.\033[0m"
echo -e "\033[91mAborting ...\033[0m"

View file

@ -40,7 +40,7 @@ usage () {
# local image
if [[ -e "/var/cache/pacman/pkg/archboot.db" ]]; then
if [[ "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -gt 3860000 ]] ; then
if ! [[ -e "/.graphic_run" && "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 4917000 ]]; then
if ! [[ -e "/.graphic_run" && "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 4413000 ]]; then
_graphic_options
echo -e " \033[1m-xfce\033[0m Launch XFCE desktop with VNC sharing enabled."
echo ""
@ -323,7 +323,7 @@ _prepare_graphic() {
#shellcheck disable=SC2086
pacman -S ${i} --config ${_PACMAN_CONF} --noconfirm >/dev/null 2>&1 || exit 1
_cleanup_install
[[ "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 4917000 ]] && _cleanup_cache
[[ "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 4413000 ]] && _cleanup_cache
rm -f /var/log/pacman.log
done
else
@ -342,7 +342,7 @@ _prepare_graphic() {
#shellcheck disable=SC2086
pacman -S ${i} --noconfirm >/dev/null 2>&1 || exit 1
_cleanup_install
[[ "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 4917000 ]] && _cleanup_cache
[[ "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 4413000 ]] && _cleanup_cache
rm -f /var/log/pacman.log
done
fi